Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DeleteSubnetRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DeleteSubnetRequest

    public class DeleteSubnetRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DeleteSubnet operation`.

Deletes a subnet from a VPC. You must terminate all running instances in the subnet before deleting it, otherwise Amazon VPC returns an error.

See Also:
  `AmazonEC2.deleteSubnet(DeleteSubnetRequest)`

Constructor Summary
`DeleteSubnetRequest()`

Method Summary
`String` | `getSubnetId()`
`void` | `setSubnetId(String subnetId)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteSubnetRequest` | `withSubnetId(String subnetId)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteSubnetRequest

    public DeleteSubnetRequest()

Method Detail

### getSubnetId

    public String getSubnetId()

  Returns:

### setSubnetId

    public void setSubnetId(String subnetId)

  Parameters:
    `subnetId` -

### withSubnetId

    public DeleteSubnetRequest withSubnetId(String subnetId)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subnetId` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.